Bug 1006361 - RFE: Audit logging feature
RFE: Audit logging feature
Status: NEW
Product: JBoss Operations Network
Classification: JBoss
Component: Core Server (Show other bugs)
JON 3.2
Unspecified Unspecified
unspecified Severity medium
: ---
: JON 4.0.0
Assigned To: RHQ Project Maintainer
Mike Foley
:
: 901582 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-10 09:53 EDT by Harri Savolainen
Modified: 2016-10-05 19:06 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harri Savolainen 2013-09-10 09:53:59 EDT
Description of problem:

Lack of audit logging. 

The JBoss ON server should record an audit log to fulfill the most basic security audit requirements. 

There should be the a way to see a log to answer the questions "Who, What and When". The log should also include the login / unsuccessful login information of the administrative interfaces.

The log should either be be seen using the Web GUI or just a traditional audit.log file.

Version-Release number of selected component (if applicable):
All the versions up to 3.2
Comment 2 Stefan Negrea 2014-08-29 18:49:20 EDT
*** Bug 901582 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.